T_C_TO_C_MANY_1D_FFT_FLOAT(3)

FUNCTION
t_c_to_c_many_1D_fft_float - Compute many 1D complex to complex single precision FFTs.

SYNOPSIS
#include <karma_t.h>

unsigned int t_c_to_c_many_1D_fft_float

(float *real, float *imag, unsigned int length, unsigned int elem_stride, unsigned int number, unsigned int dim_stride, int direction)

DESCRIPTION
This routine will perform a number of complex to complex 1 dimensional FFTs on an array of single precision complex data. The routine performs the transforms in situ.

real
    The array of real components.

imag
    The array of imaginary components.

length
    The number of complex values in the array to transform.

elem_stride
    The stride (in bytes) of successive components.

number
    The number of 1 dimensional FFTs to perform.

dim_stride
    The stride (in bytes) between successive data sets.

direction
    If the value is KARMA_FFT_FORWARD, the forward transform is performed. If the value is KARMA_FFT_INVERSE, the inverse transform is performed.

RETURN VALUE
A value indicating the success / failure status of the transform. See <-t_FFT_STATUS-> for a list of possible values.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/